new;
library pgraph;

u = rndn(100,1)*0.5;
e = missrv(u - 0.3*lag1(u),0);

/*
**  Simulation d'un processus ARMA(2,1)
**
**  y(t) = 0.5*y(t-1) + 0.3*y(t-2) + u(t) - 0.3*u(t-1)
**
**  u(t) = N(0,0.5)
**
**  y(0) = 0
**  y(1) = 0
*/

y = recserar(e,0|0,0.5|0.3);

m = zeros(100,1);
NA = miss(0,0);

i = 1;
do until i > 100;

  if ( i < 10 ) or ( i > 90 );
    m[i] = NA;
    i = i + 1;
    continue;
  endif;

  indx = seqa(i-9,1,19);
  m[i] = meanc(y[indx]);

  i = i + 1;
endo;

graphset;
   _pdate = ""; _pnum = 2;
   t = seqa(1,1,100);
   xy(t,y~m);
