/*
** Resolution d'une EDO
*/

new;
library ccf,pgraph;

proc f(t,x);
  retp(sin(t));
endp;

{t,x,dx} = RungeKutta4(&f,0.5,0,10,1000);

solution = 1.5 - cos(t);

graphset;
  _pdate = "";
  title("Solution de l'EDO : dx/dt = sin(t), x(0) = 0.5");
  xlabel("t");
  xlabel("x(t)");
  graphprt("-c=1 -cf=ccf18.eps -w=5");
  xy(t,x~solution);


