new;
library ccf,pgraph;

proc f(t,x);
  local dx;

  dx = x[2]       |
      -sin(t)     ;

  retp(dx);
endp;

{t,x,dx} = RungeKutta4(&f,0|1,0,2*pi,1000);

xc = complex(x[.,1],x[.,2]);     /* coordonnees complexes de x */

{r,theta} = topolar(xc);         /* coordonnees polaires de x  */


graphset;
  begwind;
  makewind(9,6.855,0,0,0);
  makewind(4,3,0.25,0.25,0);

  _pdate="";

  setwind(1);

    title("Solutions numerique de l'EDO"\
          "\Lx['']+sin(t)=0   x(0)=0   x['](0)=1");
    _pticout = 1;
    polar(r,theta);

  setwind(2);

    graphset;
    _pnum = 2; _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.25;
    title("Erreur de la solution numerique");
    xlabel("t");
    xy(t,x[.,1]-sin(t));

    graphprt("-c=1 -cf=ccf20.eps -w=5");

endwind;

