/* optmum.src - General Nonlinear Optimization
** (C) Copyright 1988-1994 by Aptech Systems, Inc.
** All Rights Reserved.
**
**   Written by Ronald Schoenberg
*/

proc (4) = optmum(fnct,x0);
    local x,f0,g,retcode;
    local Lopfhess,Lopitdta,LLoutput;

    LLoutput = __output;

    { x,f0,g,retcode,Lopfhess,Lopitdta } = _optmum(fnct,x0,
      _opalgr,_opdelta,_opdfct,_opditer,_opgdmd,_opgdprc,
      _opgrdh,_opgtol,_ophsprc,_opkey,_opmbkst,_opmdmth,
      _opmiter,_opmtime,_opmxtry,_opparnm,_oprteps,_opshess,
      _opstep,_opstmth,_opusrch,_opusrgd,_opusrhs,LLoutput,
      __title);

    _opfhess = Lopfhess;
    _opitdta = Lopitdta;

    retp(x,f0,g,retcode);
endp;

/*
** optutil.src
** (C) Copyright 1988-1994 by Aptech Systems, Inc.
** All Rights Reserved.
*/

proc (6) = _optmum(fnct,x0,
    Lopalgr,Lopdelta,Lopdfct,Lopditer,Lopgdmd,Lopgdprc,
    Lopgrdh,Lopgtol,Lophsprc,Lopkey,Lopmbkst,Lopmdmth,
    Lopmiter,Lopmtime,Lopmxtry,Lopparnm,Loprteps,
    Lopshess,Lopstep,Lopstmth,Lopusrch,Lopusrgd,
    Lopusrhs,LLoutput,LLtitle);

    local x,g,s,h,iter,ky,old,vof,d,dfct,f0,parnms,bksteps,dx,
        smallval,relgrad,algrm,stepm,pg,k0,k1,k2,lr,lf,ll,np,rteps,
        tstart,oldt,w0,w1,w2,w3,w4,w5,w6,w7,w8,w9,w10,chiter,h0,
        ttime,isctu,mask,fmt,omat,ret,hsmeth,beta,vof1,vofs,ds,it,oldfmt,
        tmpop,e1,e2;
    local midalg,midstp,midhs,hessm,c0,c1,skip;
    local Lopfhess,Lopitdta;
    local fnct:proc;

/*
  ...
*/

  retp(x,vof,g,scalerr(ret),Lopfhess,Lopitdta);
endp;
