new;
library tsm,optmum,pgraph;

load purse[] = purse.asc;
Nobs = rows(purse);

{beta,stderr,Mcov,Logl} =  sm_LL(purse,1|1);

Z = 1; d = 0; H = beta[2]^2;
T = 1; c = 0; R = 1; Q = beta[1]^2;

call SSM_build(Z,d,H,T,c,R,Q,0);
call KFiltering(purse,0,0);

yc = KF_matrix(1);     /* y[t|t-1]      */
a = KF_matrix(3);      /* a[t]          */

indx = seqa(1,1,Nobs);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2;
  begwind;
  makewind(9,6.855,0,0,0);
  makewind(4,3,5,2.5,1);
  setwind(1);
    _pframe = 0;
    title("LOCAL LEVEL MODEL"\
          "\Ly]t[=\202m\201]t[+\202e\201]t[  "\
          "\202m\201]t[=\202m\201]t-1[+\202c\201]t[");
    _plegctl = {2 6 1 4}; _pltype = 6;
    _plegstr = "y]t[\0y]t|t-1[";
    xy(indx,purse~yc);
  nextwind;
    title(""); _pnum = 0; _pframe = 0; _paxes = 0; _pbox = 15;
    _plegctl = {2 9 6 4};
    _plegstr = "\202m\201]t[";
    _pltype = 6; _pcolor = 14;
    xy(indx,a);
    graphprt("-c=1 -cf=ccf37.eps -w=5");
  endwind;


