new;
library optmum;

rndseed 123;

y = recserar(rndn(1000,1),0,0.3);

proc ml(theta);
  local phi,alpha0,alpha1,u,h2,logL;

  phi = theta[1];
  alpha0 = theta[2]^2;
  alpha1 = theta[3]^2;

  u = y-phi*lag1(y);
  h2 = alpha0 + alpha1*u.*u;

  u = trimr(u,1,0);
  h2 = trimr(h2,1,0);

  logL = -0.5*ln(2*pi)-0.5*ln(h2)-0.5*(u^2)./h2;

  retp(-sumc(logL));
endp;

sv = 0.5|0.5|0.0;

output file = ccf27.out reset;

_opparnm = "phi"|"alpha0"|"alpha1";

{xmin,fmin,gmin,retcode} = optprt(optmum(&ml,sv));

output off;



