new;

output file = ccf34.out reset;

y = rndn(10,1);
x = rndn(10,2);
beta = mco(y,x~x);
scalerr(beta);
ismiss(beta);

output off;


proc mco(y,x);
  local old,invxx,beta;

  old = trapchk(1);
  trap 1,1;
    invxx = invpd(x'x);
  trap old,1;

  if scalerr(invxx);
    ERRORLOG "erreur : La matrice X'X est singuliere";
    retp(error(0));
    /*
      invxx = pinv(x'x);
    */
  endif;

  beta = invxx*x'y;

  retp(beta);
endp;


