new;
library ccf,optmum;

let x[10,3] =  1  14  15
               1  12  18
               1   2  25
               1  16  12
               1   6  55
               1   4  12
               1  12  12
               1   3  23
               1   7   7
               1  10  55;

let y = 1 0 0 1 0 0 1 0 1 1;

fn logistique(x) = exp(x)./(1+exp(x));

proc logit(beta);
  local p,q;
  p = logistique(x*beta);
  q = 1 - p;
  retp( y.*ln(p) + (1-y).*ln(q) );
endp;

output file = ccf38.out reset;

_mv_param = "Constante"|"Var1"|"Autre";

{beta,stderr,Mcov,Logl} = MaximumVraisemblance(&logit,zeros(3,1)+0.1);

print;
print "           Individu            O/N        prob";
print "-----------------------------------------------------";
prob = logistique(x*beta);
call printfmt(seqa(1,1,10)~y~prob,1);

output off;


